package ru.yandex.autotests.directapi.darkside.model;

/**
 * Author xy6er
 * Date 20.01.15
 */
public enum CampaignsType {
    GEO("type5"),
    DYNAMIC("type3"),
    TEXT("type1"),
    MCB(null),
    MCBANNER("type6"),
    WALLET(null),
    MOBILE_CONTENT("type2"),
    PERFORMANCE("type4"),
    CPM_BANNER("type7", "reach"),
    CPM_DEALS("type8", "reach"),
    CPM_YNDX_FRONTPAGE("type12", "reach"),
    CONTENT_PROMOTION("type13"),
    CPM_PRICE("type14", "reach");

    private String type;

    private String contentType;

    CampaignsType(String type) {
        this.type = type;
    }

    CampaignsType(String type, String contentType) {
        this.type = type;
        this.contentType = contentType;
    }

    public String value() {
        return name().toLowerCase();
    }

    public String contentType() {
        return contentType != null ? contentType : value();
    }

    public String type() {
        return type;
    }
}
